Penn State News

Older operating systems soon unable to install Duo Mobile
Penn State News
Starting on Friday, June 1, mobile devices running older operating systems (OS) such as iOS 9 or Android 5 will not be able to install Duo Mobile, the application used for Penn State’s two-factor authentication (2FA). Application stores for mobile